var res: string;

procedure quit(a: integer);
begin
	writeln('answer: ', a);
	flush(output);
	halt;
end;

procedure print(s: string);
begin
	writeln(s);
	flush(output);
end;

begin
	readln(res);
	print('left: 1 2 3 4 right: 5 6 7 8');
	readln(res);
	if (res = 'equal') then begin
		print('left: 9 right: 10');
		readln(res);
		if (res = 'equal') then begin
			print('left: 11 right: 9');
			readln(res);
			if (res = 'equal') then quit(12) else quit(11); 
		end
		else begin
			print('left: 11 right: 9');
			readln(res);
			if (res = 'equal') then quit(10) else quit(9); 
		
		end;
	end;
	if (res = 'more') then begin
		print('left: 1 2 5 right: 3 4 9');
		readln(res);
		if (res = 'equal') then begin
			print('left: 6 right: 7');
			readln(res);
			if (res = 'equal') then quit(8);
			if (res = 'more') then quit(6);
			if (res = 'less') then quit(7);
		end;
		if (res = 'more') then begin
			print('left: 1 right: 9');
            readln(res);
			if (res = 'equal') then quit(2) else quit(1);
		end;
		if (res = 'less') then begin
			print('left: 3 5 right: 9 10');
			readln(res);
			if (res = 'equal') then quit(4);
			if (res = 'more') then quit(3);
			if (res = 'less') then quit(5);
		end;
	end;
	if (res = 'less') then begin
		print('left: 1 2 5 right: 3 4 9');
		readln(res);
		if (res = 'equal') then begin
			print('left: 6 right: 7');
			readln(res);
			if (res = 'equal') then quit(8);
			if (res = 'more') then quit(6);
			if (res = 'less') then quit(7);
		end;
		if (res = 'less') then begin
			print('left: 1 right: 9');
            readln(res);
			if (res = 'equal') then quit(2) else quit(1);
		end;
		if (res = 'more') then begin
			print('left: 3 5 right: 9 10');
			readln(res);
			if (res = 'equal') then quit(4);
			if (res = 'more') then quit(5);
			if (res = 'less') then quit(3);
		end;
	end;
end.
